/** Shopify CDN: Minification failed

Line 209:3 Cannot use type selector "__heading" directly after nesting selector "&"

**/
/* UTILITIES */

.hidden {
  display: none !important;
}

@media screen and (min-width: 768px) {
  .hidden-desktop {
    display: none !important;
  }
}

@media screen and (max-width: 767px) {
  .hidden-mobile {
    display: none !important;
  }
}

.block-heading {
  margin-bottom: 0 !important;
  margin-top: 0 !important;
}

main#MainContent {
  padding-top: 80px;
}

/* SWIPER */

.swiper-slide {
  height: auto;
}

.swiper-wrapper {
  box-sizing: inherit;
}

.swiper--autoplay .swiper-pagination-bullet {
  position: relative;
  overflow: hidden;
}

.swiper--autoplay .swiper-pagination-bullet-active {
  width: 5rem !important;
  background: var(--swiper-pagination-bullet-inactive-color) !important;
}

.swiper--autoplay .swiper-pagination-bullet-active::before {
  content: "";
  position: absolute;
  width: var(--bullet-progress);
  height: 100%;
  left: 0;
  background-color: white;
}

.swiper-button-next,
.swiper-button-prev {
  background-color: rgba(var(--color-foreground), 0.5);
  border-radius: 50%;
}

.swiper-button-next,
.swiper-button-prev {
  svg {
    width: 12px !important;
  }
}

@media screen and (max-width: 749px) {
  .swiper-button-next,
  .swiper-button-prev {
    display: none;
  }
}

.swiper {
  opacity: 0;
  visibility: hidden;
  transition:
    opacity 0.5s ease-in-out,
    visibility 0.5s ease-in-out,
    transform 0.5s ease-in-out;
  transform: translateY(10px);
}

.swiper.swiper-initialized {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}


/* USP LIST */

.icon-with-text {
  display: flex;
  align-items: center;
  margin-bottom: 14px;
  font-weight: 500;
}

.icon-with-text:last-child {
  margin-bottom: 0;
}

.icon-with-text .icon-wrapper {
  margin-right: 12px;
  display: flex;
}

.usp-list {
  color: rgb(var(--color-foreground));
}

.icon-check {
  width: 22px;
  height: 22px;
  min-width: 22px;
}

/* HERO SLIDESHOW */

.hero-slideshow.swiper {
  --swiper-theme-color: rgb(var(--color-background));
  --swiper-pagination-bullet-width: 2rem;
  --swiper-pagination-bullet-height: 0.5rem;
  --swiper-pagination-bullet-border-radius: 8px;
  --swiper-navigation-sides-offset: 2rem;
  --swiper-pagination-bullet-inactive-opacity: 0.5;
  --swiper-pagination-bullet-inactive-color: rgb(var(--color-foreground));
  --swiper-pagination-color: rgb(var(--color-background));
  --swiper-pagination-bottom: 20px;
}

@media screen and (min-width: 769px) {
  .slideshow__text-wrapper.banner__content {
    height: 100%;
    padding: 5rem;
  }
}

@media screen and (max-width: 768px) {
  .slideshow__text-wrapper.banner__content {
    padding-block: 2rem;
  }
}

.slideshow__text-wrapper {
  background-color: transparent;
}

@media screen and (max-width: 767px) {
  .slideshow__text-wrapper {
    flex-direction: column;
    padding-top: 8rem;
  }
}

.banner__content {
  width: auto;
}

.slideshow__autoplay {
  display: none !important;
}

@media screen and (max-width: 749px) {

  .banner--mobile-bottom .banner__media,
  .banner--stacked:not(.banner--mobile-bottom) .banner__media {
    position: absolute !important;
  }

  .banner--mobile-bottom .banner__box {
    padding: 9rem 3.5rem 4rem !important;
  }
}

@media screen and (max-width: 749px) {

  .banner--medium.banner--mobile-bottom:not(.banner--adapt) .banner__media,
  .banner--medium.banner--stacked:not(.banner--mobile-bottom):not(.banner--adapt)>.banner__media {
    height: 100%;
  }
}

.banner--max {
  height: calc(100dvh - var(--header-height));
}

/* COUNTDOWN TIMER */

.countdown {
  display: flex;
  flex-direction: column;
  gap: 1rem;

  countdown-display {
    display: flex;
    gap: 2rem;
  }

  &__heading {
    text-align: center;
    display: block;
  }

  .countdown__timer-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    min-width: 60px;
  }

  .countdown__timer-item-data {
    font-size: 0.75rem;
    text-transform: uppercase;
    margin-top: 5px;
    letter-spacing: 1px;
    line-height: 1;
  }
}

@media screen and (max-width: 749px) {
  .countdown countdown-display {
    gap: 1rem;
  }
}

.countdown__timer-item-info {
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 1;
  font-size: 2rem;
  border-radius: 3px;
  text-shadow: 0 1px 2px rgba(0, 0, 0, 0.5);
  font-variant-numeric: tabular-nums;
  font-weight: bold;
}


/* CARD CAROUSEL  */

.card-carousel .swiper-wrapper {
  padding-top: 5px;
}

/* PRODUCT CARD */

.product-card {
  background: rgba(13, 13, 40, 0.6);
  backdrop-filter: blur(15px);
  border-radius: 16px;
  padding: 15px;
  height: auto;
  display: flex;
  flex-direction: column;
  transition: transform 0.2s ease-in-out, background 0.2s ease-in-out;
}

.product-card:hover {
  background: rgba(50, 50, 50, 0.8);
  transform: translateY(-5px);
}

.product-card__title {
  text-align: left;
  font-weight: 700;
  margin-block: 1rem;
}

.product-card__image {
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: contain;
  background: linear-gradient(190deg,
      rgba(255, 255, 255, 0) 10%,
      rgba(255, 255, 255, 0.1) 100%);
  border-radius: 10px;
}

.product-card__content {
  display: flex;
  flex-direction: column;
  flex: 1;
}

/* PRICE ITEM */

.price-container {
  margin-top: auto;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.price-container--discount-container {
  display: flex;
  gap: 8px;
}

.price-container--compare-at {
  text-decoration: line-through;
  color: rgb(var(--color-foreground));
  opacity: 0.6;
}

.price-container--regular {
  font-weight: 800;
  color: rgb(var(--color-foreground));
  width: 100%;
  margin-top: -6px;
  text-align: left;
}

.price-container--discount {
  background: rgb(var(--color-foreground));
  color: rgb(var(--color-background));
  padding: 3px 8px;
  border-radius: 4px;
  font-weight: 800;
  display: flex;
  align-items: center;
  gap: 4px;
}

/* DISCOUNT FIELD  */

.discount-field__label {
  font-size: 1rem;
  font-weight: bold;
  text-transform: uppercase;
  letter-spacing: 1px;
  display: block;
  margin: 0 0 10px 5px;
  opacity: 0.8;
}

.discount-field__button {
  width: fit-content;
  display: inline-block;
  padding: 12px 30px;
  font-size: 1.6rem;
  font-weight: 900;
  color: #ffffff;
  text-decoration: none;
  border-radius: 8px;
  background: transparent;
  border: 2px dashed #ffffff;
  cursor: pointer;
  text-align: center;
  transition: transform 0.2s ease;
  background: rgba(13, 13, 40, 0.6);
  backdrop-filter: blur(10px);
}

.discount-field__button:hover {
  transform: scale(1.05);
}

/* ANIMATIONS */

@keyframes backgroundPulse {
  0% {
    box-shadow: 0 0 4px rgba(255, 170, 68, 0);
  }

  33.33% {
    box-shadow: 0 0 12px var(--pulse-color);
  }

  66.66% {
    box-shadow: 0 0 4px rgba(255, 170, 68, 0);
  }

  100% {
    box-shadow: 0 0 4px rgba(255, 170, 68, 0);
  }
}